Name:		star
Version:	1.5.3
Release:	%mkrel 4
Summary:	An archiving tool with ACL support
#Source:		http://dl.sourceforge.net/pub/sourceforge/s/st/%{name}-%{version}.tar.bz2
Source:		http://download.sourceforge.net/s-tar/%{name}-%{version}.tar.bz2
License:	GPLv2+ LGPLv2+ CDDL
Group:		Archiving/Backup
BuildRequires:	libattr-devel 
BuildRequires:	libacl-devel 
BuildRequires:	libext2fs-devel

%description
Star supports several tar archive formats (including ustar,
GNU tar and new POSIX format). It's faster than other tar
implementations due to advanced buffering.
Star is also the only tar implementation under Linux capable
of archiving Access Control Lists. 

%package devel
Summary:        An archiving tool with ACL devel support
Group:          Archiving/Backup

%description devel
Star supports several tar archive formats (including ustar,
GNU tar and new POSIX format). It's faster than other tar
implementations due to advanced buffering.
Star is also the only tar implementation under Linux capable
of archiving Access Control Lists.

%prep
%setup -q

%build
make COPTX=-DTRY_EXT2_FS GMAKE_NOWARN=true "INS_BASE=${RPM_BUILD_ROOT}/%{_prefix}" "INS_RBASE=${RPM_BUILD_ROOT}/" MANDIR=man

%install
make GMAKE_NOWARN=true "INS_BASE=${RPM_BUILD_ROOT}/%{_prefix}" "INS_RBASE=${RPM_BUILD_ROOT}/" MANDIR=man install 

# The following files conflict with GNU tar & mtr
rm -f ${RPM_BUILD_ROOT}/%{_bindir}/{,us}tar
rm -f ${RPM_BUILD_ROOT}/%{_bindir}/mt
rm -f ${RPM_BUILD_ROOT}/%{_mandir}/man1/match.1
# The following files conflict with the rmt package
rm -f ${RPM_BUILD_ROOT}/%{_sbindir}/rmt
# The following devel files conflict with cdrecord
rm -f ${RPM_BUILD_ROOT}/%{_includedir}/avoffset.h
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libdeflt.a
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libschily.a

# The other libs may be in the wrong place
if [ _"%{_libdir}" != _"/usr/lib" ]; then
	mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}
	mv ${RPM_BUILD_ROOT}/usr/lib/* ${RPM_BUILD_ROOT}/%{_libdir}
fi

# fwang: I don't know why it installs to here
rm -f ${RPM_BUILD_ROOT}%{_datadir}/doc/rmt/default-rmt.sample
# Removing it now, it's done below
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/star

%files
%doc AN-%{version} README COPYING
%doc READMEs/README.linux star/README.*
%doc star/STARvsGNUTAR
%doc STATUS.alpha TODO
%{_bindir}/gnutar
%{_bindir}/tartest
%{_bindir}/scpio
%{_bindir}/spax
%{_bindir}/smt
%{_bindir}/star
%{_bindir}/star_sym
%{_bindir}/suntar
%{_mandir}/man1/*.1*
%{_sysconfdir}/default/*

%files devel
%{_includedir}/schily/*.h
%{_includedir}/schily/*/*.h
%{_libdir}/lib*.a
%{_libdir}/profiled/*.a
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.5.3-4.mga6
+ Revision: 938542
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5.3-3.mga5
+ Revision: 741937
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.3-2.mga5
+ Revision: 689336
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 bcornec <bcornec> 1.5.3-1.mga5
+ Revision: 661851
- Update to upstream star 1.5.3

* Wed Jul 02 2014 bcornec <bcornec> 1.5.2-2.mga5
+ Revision: 642290
- Fix i386 build for dyn libs which weren't installed at the right place + include /etc/default files
- Fix an installation issue on build system due to the lack of definition of the INS_RBASE variable
- Remove any rmt related file (rmt conflicts)
- libs are not installed in the right place by default for x86_64 so check and move them
- pass install params tat build time also to improve /etc/default issue
- Update star to upstream 1.5.2

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Tue Jul 23 2013 bcornec <bcornec> 1.5a89-3.mga4
+ Revision: 457411
- Solve a dependency issue preventing star installation with mga3 and later (rmt binary conflicting with the rmt package)

* Mon Jan 14 2013 umeabot <umeabot> 1.5a89-2.mga3
+ Revision: 382696
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 31 2012 bcornec <bcornec> 1.5a89-1.mga3
+ Revision: 311699
- Fix a wrong prefix usage
- Remove a hardcoded Prefix for newly imported star
- imported package star

